# Node.js Backend
whatsapp_bridge/node_modules/
whatsapp_bridge/.wwebjs_auth/
whatsapp_bridge/.wwebjs_cache/
whatsapp_bridge/.puppeteer/
whatsapp_bridge/package-lock.json

# Flutter / Dart
whatsapp_app/.dart_tool/
whatsapp_app/.flutter-plugins
whatsapp_app/.flutter-plugins-dependencies
whatsapp_app/.packages
whatsapp_app/build/
whatsapp_app/ios/Pods/
whatsapp_app/ios/.symlinks/
whatsapp_app/ios/Flutter/Flutter.framework/
whatsapp_app/ios/Flutter/Flutter.podspec
whatsapp_app/android/.gradle/
whatsapp_app/android/app/build/
whatsapp_app/android/local.properties

# OS/IDE
.DS_Store
.idea/
.vscode/
*.swp

# Sensitive Configurations
whatsapp_bridge/serviceAccountKey.json
whatsapp_bridge/fcm_token.json
whatsapp_bridge/.env
whatsapp_bridge/.env.*
